> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Check In Code

> This endpoint will return the check-in code for a user. The check-in code can be matched to a location.

<Note>
  The check-in code can use specific formats for different merchants/locations.
  If no location or merchant is provided, the check-in code provided will be automatically matched to the merchant account to which the user belongs to.
</Note>

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField query="location_id" type="string">
  Retrieve a check-in code for this location
</ParamField>

### Response

<ResponseField name="check_in_code" type="string">
  The check-in code
</ResponseField>

<RequestExample>
  ```bash Get Check-in Code theme={null}
    curl https://api.thanxsandbox.com/users/:id/check_in_code \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "check_in_code": "1234s6",
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
      "check_in_code": "LSTR|1234s6||LEND"
  }
  ```
</ResponseExample>
